/*
 * Ksaf security framework label management component
 *
 * Authors:  wangshengye <wangshengye@kylinos.cn>
 *
 * Copyright (c) KylinSoft Co., Ltd. [2024].All rights reserved.
 */

#ifndef __KSAF_COMMON_H
#define __KSAF_COMMON_H

#include <stdint.h>
#include <limits.h>

typedef union
{
    struct
    {
        uint64_t pkg_id;
        uint64_t file_id;
        uint64_t path_id;
    };
    uint64_t id;
}KSAF_ID;

typedef struct
{
    char filepath[PATH_MAX];
    KSAF_ID id;
}KSAF_ID_PAIR;


#endif //__KSAF_COMMON_H